## mixxx 1.6.0~beta3

=== SConstruct ===
#Build the SConscript file in /src, and make it us src/.obj for storing obj output.
SConscript(File('src/SConscript'), build_dir=Dir('src/.obj'), duplicate=0) 
#wtf doesn't this work on win32 (works on Linux, OS X):
Command("mixxx", "#src/.obj/mixxx", Copy("$TARGET", "$SOURCE"))
#hack for windows:
Copy("mixxx", "#src/.obj/mixxx")
