=== lib/cmetrics/SConstruct ===
import os
import sys
import glob
import SCons
import shutil


env = Environment()
conf = Configure(env)

#Get the Platform
if os.name == 'nt':
    print 'Platform: Windows'
    platform = 'win32'
elif sys.platform == 'linux2':
    print 'Platform: Linux'
    platform = 'linux'
elif sys.platform == 'darwin':
    print 'Platform: OS X'
    platform = 'osx'
else:
    platform = 'linux'



#Build The Lib
client = 'MIXXX'
server = 'mixxx.casemetrics.net'
Export('env platform client server')
obj = []

obj += SConscript('SConscript')

env.Program(obj)
