=== debian/changelog ===
mixxx (1.8.0.1-1ubuntu1) maverick; urgency=low

  * Merge from Debian experimental (no new features, FFe grant LP: #645804):
    - Don't apply 91-desktop_file.patch, Ubuntu uses PulseAudio.
    - Depends on pulseaudio-utils.
    - Build-depends on libqtwebkit-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 23 Sep 2010 19:23:09 +0200

mixxx (1.8.0.1-1) experimental; urgency=low

  * No longer need to repack the upstream's tarball, skins can be
    redistributed now.
  * Drop build-dep on libwavpack-dev, the wavpack plugin seems not
    stable enough.
  * Set skins' file permissions properly.

 -- Alessio Treglia <alessio@debian.org>  Thu, 23 Sep 2010 18:46:42 +0200

mixxx (1.8.0.1~dfsg-1ubuntu1) maverick; urgency=low

  * Re-sync with Debian experimental (FFe granted LP: #645804).
  * Don't apply 91-desktop_file.patch, Ubuntu uses PulseAudio.
  * Depends on pulseaudio-utils (LP: #634072);
    thanks to Evgeni Golov for reporting this.
  * Enable soundsourcem4a plugin:
    - Build-depends on libmp4v2-dev.
    - Don't apply 30-disable_soundsourcem4a.patch patch.
  * Build-depends on libqtwebkit-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 23 Sep 2010 11:54:04 +0200

mixxx (1.8.0.1~dfsg-1) experimental; urgency=low

  * New upstream release:
    - Fix visual artifact due to Qt bug (LP: #645804).
  * Add README.source to document the repacking.
  * Update copyright information.
  * Add get-orig-source target.
  * Refresh patches.
  * Build-depends on libwavpack-dev.
  * Update debian/gbp.conf.
  * Install missing icon file (LP: #641880).

 -- Alessio Treglia <alessio@debian.org>  Thu, 23 Sep 2010 11:26:16 +0200

mixxx (1.8.0~rc-dfsg-1) experimental; urgency=low

  * New upstream release.
  * Set Maintainer to Debian Multimedia Maintainers team, update Uploaders
    field; ACKed by Free Ekanayaka.
  * Add Vcs fields.
  * Add myself to the Uploaders field.
  * Switch to format 3.0 (quilt).
  * Refresh patches and tag them as per DEP-3.
  * Add 30-disable_soundsourcem4a.patch patch to disable soundsourcem4a plugin.
  * Add patch to fix desktop file as per spec.
  * Build-Depends on libportmidi-dev.
  * Depends on libqt4-sql-sqlite.
  * Add debian/source/local-options file.
  * Remove desktop file, already provided by upstream.
  * Rename icon file:
    - 16x16 XPM icon is unnecessary.
    - Update install and dirs file properly.
  * Update debian/menu properly.
  * Fix binary-control-field-duplicates-source field "section" lintian
    warning.
  * Update debian/watch file.
  * Install the manual in /usr/share/mixxx-data/.
  * Install doc-base registration file.
  * Update the link to the manual (Closes: #576544).
  * Add configuration file for git-buildpackage.
  * Add .gitignore file.
  * Update homepage field.
  * Bump Standards.
  * Clean-up.

 -- Alessio Treglia <alessio@debian.org>  Sat, 18 Sep 2010 17:15:53 +0200

mixxx (1.7.2-1) unstable; urgency=low

  * New upstream release (closes: #437574)
  * debian/rules: do not build against libdjconsole (closes: #554022),
    mixxx now uses Hercules driver instead
  * debian/rules: invoke debhelper zen guru, switch to quilt
  * debian/patches/20_norpath.patch: update rpath patch
  * debian/mixxx.manpages: install manpage the new way
  * debian/control: tighten debhelper version, span on multiple lines
  * debian/control: add misc-depends to mixxx-data

 -- Paul Brossier <piem@debian.org>  Thu, 07 Jan 2010 04:02:37 +0100

mixxx (1.7.1-1) unstable; urgency=low

  * New upstream release (closes: #519517, #427291, #500859)
  * Bugs closed in previous versions (closes: #480233, #397385)
  * Acknowledge NMUed bugs (closes: #375752, #435950, #499572, #523692),
    thanks to Free, Steinar, and Barry
  * debian/control
    - added Homepage field
    - add Build-depends on imagemagick
    - add Build-Depends on libsountouch-dev
    - bump Standard-Version
    - bump build-depends to debhelper >= 7.0.0
  * debian/rules
    - create and install mixxx.xpm 32x32
    - remove COPYING, shifter.sh, xsl, php, and Thumbs.db files from skins 
    - make sure js files are not executables
    - use dh_prep instead of dh_clean -k
  * debian/README.source: add reference to dpatch
  * debian/mixxx.desktop: improve comment
  * debian/menu: update section to Applications/Sound
  * debian/compat: bump to 7
  * debian/copyright: updated to list copyright of each external libs
  * debian/patches/10_soundtouch.dpatch: use packaged libsoundtouch 
    (not activated yet, needs 1.4.1)
  * debian/patches/10_uptodate_configure.dpatch: update config.{sub,guess}

 -- Paul Brossier <piem@debian.org>  Fri, 30 Oct 2009 12:13:34 +0100

mixxx (1.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unnecessary build-dep on libglib1.2. (Closes: #523692).
  * Update desktop file. (Closes: #499572).
  * Update deprecated xlibmesa-gl1-dev with libgl1-mesa-dev.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 17 Oct 2009 13:36:19 -0400

mixxx (1.6.1-1) unstable; urgency=low

  * New Upstream Version

 -- Free Ekanayaka <freee@debian.org>  Sat, 15 Nov 2008 00:00:37 +0100

mixxx (1.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #496184)

 -- Free Ekanayaka <freee@debian.org>  Tue, 26 Aug 2008 00:53:21 +0100

mixxx (1.6.0~beta3-2) unstable; urgency=low

  * Build depend on libqt4-opengl-dev only if available, otherwise use
    libqt4-dev (makes backports easier)

 -- Free Ekanayaka <freee@debian.org>  Mon, 09 Jun 2008 08:27:28 +0100

mixxx (1.6.0~beta3-1) unstable; urgency=low

  * New upstream release
  * Build depends on libqt4-opengl-dev (Closes: #482238), thanks
    to Peter Green
  * Fixed bashism in debian/rules (Closes: #478408), thanks to Chris
    Lamb
  * Fixed FTBFS if built twice in a row (Closes: #483901) thanks
    to Peter Green

 -- Free Ekanayaka <freee@debian.org>  Thu, 05 Jun 2008 00:21:45 +0100

mixxx (1.6.0~beta2-1) unstable; urgency=low

  * New upstream release


