=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 scons,
 pkg-config,
 docbook-to-man,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libqt4-opengl-dev | libqt4-dev,
 libjack-dev,
 libsoundtouch-dev,
 portaudio19-dev,
 libid3tag0-dev,
 libmad0-dev,
 libogg-dev,
 libsndfile1-dev,
 libvorbis-dev,
 libexpat-dev,
 libaudiofile-dev,
 libportmidi-dev,
 libqtwebkit-dev,
 imagemagick
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/pkg-multimedia/mixxx.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mixxx.git
Homepage: http://www.mixxx.org/

Package: mixxx
Architecture: any
Depends: ${shlibs:Depends},
 mixxx-data (= ${source:Version}),
 libqt4-sql-sqlite,
 pulseaudio-utils,
 ${misc:Depends}
Suggests: pdf-viewer
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where wave, ogg and mp3 files can be mixed on a
 computer for use in live performances. Filters, crossfader, and speed control
 are provided. Mixxx can sync the 2 streams automatically, using an algorithm
 to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Depends: ${misc:Depends}
Description: Digital Disc Jockey Interface -- data files
 This package provides images and skin configuration files required for mixxx.
 .
 Mixxx is a digital DJ system, where wave, ogg and mp3 files can be mixed on a
 computer for use in live performances. Filters, crossfader, and speed control
 are provided. Mixxx can sync the 2 streams automatically, using an algorithm
 to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.
