=== debian/rules ===
#!/usr/bin/make -f

SCONS_OPTS = install_root=$(CURDIR)/debian/tmp/usr qtdir=/usr/share/qt4 prefix=/usr
# Path to the debian directory
DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
PACKAGE = mixxx

%:
	dh $@

override_dh_auto_build:
	# create icons
	convert res/images/mixxx-icon.png -geometry 32x32 mixxx.xpm
	scons $(SCONS_OPTS)
	docbook-to-man debian/mixxx.sgml > mixxx.1 

override_dh_auto_clean:
	scons $(SCONS_OPTS) -c || true
	rm -rf .sconf_temp/ .sconsign.dblite build/qt4.pyc cachecustom.py \
	config.log linux_build/ src/build.h
	rm -f mixxx.1 mixxx.xpm
	dh_auto_clean

override_dh_auto_install:
	scons $(SCONS_OPTS) install
	find $(CURDIR)/debian/tmp \( -name COPYING -o -name Thumbs.db \
		-o -name shifter.sh -o -name '*.xsl' -o -name '*.php' \) \
		-exec rm -f {} \;
	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
