## mixxx 1.8.1

=== debian/changelog ===
mixxx (1.8.1-2ubuntu1) natty; urgency=low

  * Merge with Debian unstable, Ubuntu remaining changes:
    - Add libqtwebkit-dev to the Build-Depends field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 11 Nov 2010 15:38:34 +0100

mixxx (1.8.1-2) unstable; urgency=low

  * First upload to unstable, Mixxx 1.7.2 was removed from Squeeze.
  * Minimize the delta between Debian and Ubuntu:
    - 91-desktop_file.patch is Debian-specific as Ubuntu uses PulseAudio
      by default.
    - Introduce new SUBSTVAR in debian/control and pass it to dh_gencontrol
      to set different dependencies depending on the distribution.

 -- Alessio Treglia <alessio@debian.org>  Thu, 11 Nov 2010 14:15:11 +0100

mixxx (1.8.1-1ubuntu1) natty; urgency=low

  * Merge with Debian experimental, Ubuntu remaining changes:
    - Add libqtwebkit-dev to the Build-Depends field.
    - Depends on pulseaudio-utils.
    - Skip 91-desktop_file.patch.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Tue, 19 Oct 2010 10:25:05 +0200

mixxx (1.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Oct 2010 09:05:19 +0200

mixxx (1.8.0.2-1) experimental; urgency=low

  * Imported Upstream version 1.8.0.2
  * Refresh 20_norpath.patch.
  * Allow ALLOW_X86_OPTIMIZATIONS on amd64 only, fixes FTBFS on ia64
    (Closes: #599978).

 -- Alessio Treglia <alessio@debian.org>  Mon, 18 Oct 2010 13:13:57 +0200
