=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Depends: ${shlibs:Depends},
  mixxx-data (= ${source:Version}),
  libqt4-sql-sqlite,
- pulseaudio-utils,
+ ${dist:Depends},
  ${misc:Depends}
 Suggests: pdf-viewer
 Description: Digital Disc Jockey Interface
