=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
 UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
 PACKAGE = mixxx
+
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+	SUBSTVARS = -Vdist:Depends="pulseaudio-utils"
+else
+	SUBSTVARS = -Vdist:Depends=""
+endif
 
 %:
 	dh $@
@@ -29,3 +35,6 @@
 		-exec rm -f {} \;
 	find $(CURDIR)/debian/tmp -name '*.js' -exec chmod -x {} \;
 	find $(CURDIR)/debian/tmp/usr/share/mixxx/ -type f -exec chmod -x {} \;
+
+override_dh_gencontrol:
+	dh_gencontrol -- $(SUBSTVARS)
