## mixxx 1.8.2

=== debian/changelog ===
mixxx (1.8.2-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Build-depend on libqtwebkit-dev.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 17 Dec 2010 08:45:03 +0100

mixxx (1.8.2-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop debian/patches/1001-scripts_eval_sigsegv.patch as it isn't
    needed anymore.

 -- Alessio Treglia <alessio@debian.org>  Fri, 17 Dec 2010 00:04:57 +0100

mixxx (1.8.1-5ubuntu1) natty; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Add libqtwebkit-dev to Build-Depends field.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 01 Dec 2010 10:12:56 +0100

mixxx (1.8.1-5) unstable; urgency=low

  * 40-alpha_ftbfs.patch has been forwarded.
  * Add patch to fix SIGSEGV in the scripts evaluation.

 -- Alessio Treglia <alessio@debian.org>  Wed, 01 Dec 2010 09:23:55 +0100

mixxx (1.8.1-4) unstable; urgency=low

  * Really apply 40-alpha_ftbfs.patch.

 -- Alessio Treglia <alessio@debian.org>  Mon, 29 Nov 2010 00:36:08 +0100

mixxx (1.8.1-3) unstable; urgency=low

  * Attempt to fix FTBFS on alpha.

 -- Alessio Treglia <alessio@debian.org>  Sun, 28 Nov 2010 12:39:29 +0100
