## mixxx 1.9.0+dfsg0

=== debian/changelog ===
mixxx (1.9.0+dfsg0-2) unstable; urgency=low

  * Add armhf support (Closes: #623152).
  * Enable parallel builds.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 May 2011 01:02:44 +0200

mixxx (1.9.0+dfsg0-1) unstable; urgency=low

  * Improve description, Mixxx supports FLAC file format too.
  * Sort build-deps.
  * Add libwavpack-dev to Build-Depends.
  * Enable WavPack plugin.
  * debian/gbp.conf: Set compression to bzip2.
  * Actually build Mixxx against libsoundtouch provided by Debian.
  * Imported Upstream version 1.9.0+dfsg0:
    - Get rid of local copy of soundtouch.
  * debian/copyright:
    - Remove comment about soundtouch, sources are now linked against
      the system-wide copy.
    - Update to DEP-5 rev.174.
  * Get rid of unneeded patches, clean-up series files.
  * Build-depend on libqtwebkit-dev.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Apr 2011 20:40:58 +0200

mixxx (1.9.0-3) unstable; urgency=low

  * debian/patches/15-various_archs_support.patch:
    - Remove -Dalpha from CPPDEFINES, fixes FTBFS on alpha (Closes: #598749).
    - Allow compilation on alpha, armel, hppa, hurd-i386, ia64, kfreebsd-*,
      mips, mipsel, sparc, s390 (Closes: #616177).
  * Disable libportmidi-dev for hurd-i386,kfreebsd-* architectures.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Mar 2011 00:45:06 +0100

mixxx (1.9.0-2) unstable; urgency=low

  * First attempt to fix #616177:
    - Extend the list of supported machines.
    - Properly set and pass the value of machine to SCons.

 -- Alessio Treglia <alessio@debian.org>  Thu, 03 Mar 2011 14:00:02 +0100

mixxx (1.9.0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Build against the latest libsoundtouch.
  * Refresh 20_norpath.patch.
  * Refresh 30-disable_soundsourcem4a.patch patch.
  * Disable 40-alpha_ftbfs.patch patch for now.
  * Improve the clean target to properly clean the build environment.
  * Sort build-dependencies alphabetically.
  * Add dh_scour support to optimize SVG files.
  * Add Shoutcast support.
  * Build-Depends on libtag1-dev.

  [ Miguel Colon ]
  * Strip the SONAME out of the soundtouch build dependency.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Feb 2011 11:51:32 +0100
