=== debian/control ===
Source: mixxx
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 docbook-to-man,
 imagemagick,
 libaudiofile-dev,
 libexpat-dev,
 libgl1-mesa-dev,
 libglu1-mesa-dev,
 libid3tag0-dev,
 libjack-dev,
 libmad0-dev,
 libogg-dev,
 libportmidi-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libqt4-opengl-dev | libqt4-dev,
 libqtwebkit-dev,
 libshout-dev,
 libsndfile1-dev,
 libsoundtouch-dev (>= 1.5.0),
 libtag1-dev,
 libvorbis-dev,
 libwavpack-dev,
 pkg-config,
 portaudio19-dev,
 python-scour,
 scons
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-multimedia/mixxx.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mixxx.git
Homepage: http://www.mixxx.org/

Package: mixxx
Architecture: any
Depends: ${shlibs:Depends},
 mixxx-data (= ${source:Version}),
 libqt4-sql-sqlite,
 ${dist:Depends},
 ${misc:Depends}
Suggests: pdf-viewer
Description: Digital Disc Jockey Interface
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.

Package: mixxx-data
Architecture: all
Depends: ${misc:Depends}
Description: Digital Disc Jockey Interface -- data files
 Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
 mixed on a computer for use in live performances. Filters, crossfader, and
 speed control are provided. Mixxx can sync the 2 streams automatically, using
 an algorithm to detect the beat.
 .
 Mixxx works with Jack or OSS, can be controlled from the GUI or from external
 controllers, including MIDI devices and joysticks, and supports skins.
 .
 This package provides images and skin configuration files required for mixxx.
