=== debian/changelog ===
mixxx (1.9.2~dfsg0-1) unstable; urgency=low

  * New upstream bugfix-only release.
  * Fix FTBFS with -Werror=format-security enabled (Closes: #646348).
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Nov 2011 14:44:28 +0100

mixxx (1.9.0+dfsg0-5) unstable; urgency=low

  * Add s390x support (Closes: #638879)

 -- Alessio Treglia <alessio@debian.org>  Tue, 23 Aug 2011 09:47:01 +0200

mixxx (1.9.0+dfsg0-4) unstable; urgency=low

  * Replace negated list of architectures with linux-any (Closes: #634789).
  * Use DH's autotools_dev add-on to update config.{guess,sub} files.

 -- Alessio Treglia <alessio@debian.org>  Mon, 25 Jul 2011 10:12:40 +0200

mixxx (1.9.0+dfsg0-3) unstable; urgency=low

  * Limit supported architectures to linux-any only.
  * Add support for sh3, sh4 and powerpcspe.
    Thanks to Nobuhiro Iwamatsu for the patch. (Closes: #632609)

 -- Alessio Treglia <alessio@debian.org>  Mon, 04 Jul 2011 10:13:15 +0200
