=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 SCONS_OPTS += machine=$(DEB_HOST_ARCH)
 
 %:
-	dh $@ --parallel --with scour
+	dh $@ --parallel --with=scour,autotools_dev
 
 override_dh_auto_build:
 	# create icons
