=== debian/watch ===
version=3
opts=uversionmangle=s/-(beta|rc|RC)(.*)/~\$1\$2/,\
dversionmangle=s/-dfsg// \
http://www.mixxx.org/download.php \
  http://downloads.mixxx.org/mixxx-.*/mixxx-(.*)-src.tar.gz
