## mixxx 1.10.0~dfsg0

=== debian/changelog ===
mixxx (1.10.0~dfsg0-4) unstable; urgency=low

  * Append CPPFLAGS to the end of CFLAGS/CXXFLAGS as the
    buildsystem ignores them. (Closes: #674971)

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 May 2012 10:20:58 +0200

mixxx (1.10.0~dfsg0-3) unstable; urgency=low

  * Enable hardening flags.
  * Add repack.sh mechanism to automatically strip non-DFSG
    clean stuff out of the tarball.
  * Fix watch file.
  * Bump Standards.
  * Update Vcs fields.

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 May 2012 10:49:16 +0200

mixxx (1.10.0~dfsg0-2) unstable; urgency=low

  * Remove dependency on libwavpack.
  * Fix FTBFS with GCC 4.7 (Closes: #674335).
  * Fix watch file.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 May 2012 13:17:12 +0200

mixxx (1.10.0~dfsg0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Some updates and fixes.
  * Drop 01-werror_format_security.patch, no longer needed.
  * Update 10_uptodate_configure.dpatch, rename it to
    0001-update_configure.patch.
  * Drop 15-various_archs_support.patch, applied upstream.
  * Rename 20_norpath.patch to 0002-norpath.patch
  * Rename 30-disable_soundsourcem4a.patch to
    0003-disable_soundsourcem4a.patch.
  * Refresh and set a new name to 0004-soundtouch.patch
  * Rename 91-desktop_file.patch -> 0091-desktop_file.patch

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Dec 2011 09:52:59 +0100
