## mixxx 1.10.1~dfsg0

=== SConstruct ===
--- 
+++ 
@@ -36,12 +36,14 @@
                       features.MIDIScript,
                       features.Mad,
                       features.CoreAudio,
+                      features.MediaFoundation,
                       features.HSS1394,
                       features.VinylControl,
                       features.Shoutcast,
                       features.Profiling,
                       features.Tuned,
                       features.QDebug,
+                      features.Verbose,
                       features.Optimize,
                       features.FAAD,
                       features.WavPack,
@@ -51,6 +53,7 @@
                       features.MSVSHacks,
 
                       # "Features" of dubious quality
+                      features.PerfTools,
                       features.AsmLib,
                       features.Tonal,
                       features.IPod,
@@ -65,7 +68,7 @@
 
 # Run our configuration stuff to setup our build environment (detect
 # platform/arch, find libraries, etc)
-SConscript(File('src/SConscript.env'), duplicate=0)
+SConscript(File('src/SConscript.env'), variant_dir=Dir(build.build_dir), duplicate=0)
 
 # Grab the list of sources generated by SConscript.env
 Import('sources')
@@ -75,15 +78,16 @@
 # and link properly. This sucks but it's the best way I can find -- bkgood
 VariantDir("plugins/soundsourcem4a", "src", duplicate=0)
 VariantDir("plugins/soundsourcewv", "src", duplicate=0)
+VariantDir("plugins/soundsourcemediafoundation", "src", duplicate=0)
 
 # Build our soundsource plugins
 soundsource_plugins = SConscript(
-    File('plugins/SConscript'), build_dir=Dir(build.build_dir + "/plugins"),
+    File('plugins/SConscript'), variant_dir=Dir(build.build_dir + "/plugins"),
     duplicate=0, exports=['build'])
 
 # Setup and build the "mixxx" executable target. Also sets up our install
 # targets for each platform.
-SConscript(File('src/SConscript'), build_dir=Dir(build.build_dir), duplicate=0,
+SConscript(File('src/SConscript'), variant_dir=Dir(build.build_dir), duplicate=0,
            exports=['build', 'sources', 'soundsource_plugins'])
 
 # For convenience, copy the Mixxx binary out of the build directory to the
