=== debian/changelog ===
mixxx (1.10.1~dfsg0-1) unstable; urgency=low

  * New upstream bugfix-only release:
    - Fix encoding error which prevents users to use folders with accented
      characters in the pathname (Closes: #664671).
  * Strip non-DFSG free PDF manual.
  * Update watch file.
  * Fix repackaging mechanism.

 -- Alessio Treglia <alessio@debian.org>  Wed, 27 Jun 2012 09:11:02 +0200

mixxx (1.10.0~dfsg0-5) unstable; urgency=low

  * Apply 1001-ftbfs_gcc47.patch to fix FTBFS with GCC 4.7 on Ubuntu too.
    Thanks to Ilya Barygin for pointing out this. (Closes: #678182)
  * debian/copyright:
    - Update to the new machine-readable format.
    - Sort licenses stanzas
    - Group files by license

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Jun 2012 09:42:16 +0200
