=== debian/control ===
--- 
+++ 
@@ -2,10 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Paul Brossier <piem@debian.org>,
+Uploaders:
+ Paul Brossier <piem@debian.org>,
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends:
+ autotools-dev,
+ debhelper (>= 7.0.50~),
  docbook-to-man,
  imagemagick,
  libaudiofile-dev,
@@ -16,7 +19,7 @@
  libjack-dev,
  libmad0-dev,
  libogg-dev,
- libportmidi-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
+ libportmidi-dev [linux-any],
  libqt4-opengl-dev | libqt4-dev,
  libqtwebkit-dev,
  libshout-dev,
@@ -24,24 +27,25 @@
  libsoundtouch-dev (>= 1.5.0),
  libtag1-dev,
  libvorbis-dev,
- libwavpack-dev,
  pkg-config,
  portaudio19-dev,
  python-scour,
  scons
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/pkg-multimedia/mixxx.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mixxx.git
+Standards-Version: 3.9.3
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mixxx.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mixxx.git
 Homepage: http://www.mixxx.org/
 
 Package: mixxx
-Architecture: any
-Depends: ${shlibs:Depends},
+Architecture: linux-any
+Depends:
+ libqt4-sql-sqlite,
  mixxx-data (= ${source:Version}),
- libqt4-sql-sqlite,
  ${dist:Depends},
- ${misc:Depends}
-Suggests: pdf-viewer
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ pdf-viewer
 Description: Digital Disc Jockey Interface
  Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
  mixed on a computer for use in live performances. Filters, crossfader, and
@@ -53,7 +57,8 @@
 
 Package: mixxx-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: Digital Disc Jockey Interface -- data files
  Mixxx is a digital DJ system, where Wave, Ogg, FLAC and MP3 files can be
  mixed on a computer for use in live performances. Filters, crossfader, and
