## mixxx 1.11.0~dfsg

=== SConstruct ===
--- 
+++ 
@@ -26,18 +26,19 @@
 import logging
 logging.getLogger().setLevel(logging.DEBUG)
 
-from build import mixxx, features
+from build import mixxx, features, depends
 target = ARGUMENTS.get('target', None)
 machine = ARGUMENTS.get('machine', None)
 build_type = ARGUMENTS.get('build', None)
 toolchain = ARGUMENTS.get('toolchain', None)
 
 available_features = [features.HifiEq,
-                      features.MIDIScript,
                       features.Mad,
                       features.CoreAudio,
                       features.MediaFoundation,
                       features.HSS1394,
+                      features.HID,
+                      features.Bulk,
                       features.VinylControl,
                       features.Shoutcast,
                       features.Profiling,
@@ -51,14 +52,14 @@
                       features.LADSPA,
                       features.MSVCDebug,
                       features.MSVSHacks,
+                      features.Vamp,
+                      features.PromoTracks,
 
                       # "Features" of dubious quality
                       features.PerfTools,
                       features.AsmLib,
                       features.Tonal,
                       features.IPod,
-                      features.ScriptStudio,
-                      features.CMetrics,
                       features.FFMPEG,
                       ]
 
@@ -85,10 +86,18 @@
     File('plugins/SConscript'), variant_dir=Dir(build.build_dir + "/plugins"),
     duplicate=0, exports=['build'])
 
+#Build Vamp minimal plugins
+#VariantDir("vamp-plugins", "src", duplicate=0)
+mixxxminimal_depends = [ depends.SoundTouch ]
+mixxxminimal_plugins = SConscript(
+    File('vamp-plugins/SConscript'),
+    variant_dir=Dir(build.build_dir + "/vamp-plugins"),
+    duplicate=0, exports=['build', 'mixxxminimal_depends'])
+
 # Setup and build the "mixxx" executable target. Also sets up our install
 # targets for each platform.
 SConscript(File('src/SConscript'), variant_dir=Dir(build.build_dir), duplicate=0,
-           exports=['build', 'sources', 'soundsource_plugins'])
+           exports=['build', 'sources', 'soundsource_plugins', 'mixxxminimal_plugins'])
 
 # For convenience, copy the Mixxx binary out of the build directory to the
 # root. Don't do it on windows because the binary can't run on its own and needs
@@ -97,5 +106,6 @@
     Command("mixxx", os.path.join(build.build_dir, "mixxx"), Copy("$TARGET", "$SOURCE"))
 
 
+
 #On OS X, if the bundle has been built, copy it up:
 #Command("Mixxx.app", os.path.join(build.build_dir, "Mixxx.app"), Copy("$TARGET", "$SOURCE"))
