=== debian/changelog ===
mixxx (1.11.0~dfsg-2) unstable; urgency=low

  * Install missing libmixxxminimal.so. Let upstream buildsystem install
    the XPM file by itself. Thanks to Takeshi Soejima for reporting
    this. (Closes: #725225)
  * Refresh Ubuntu patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 04 Oct 2013 14:14:17 +0100

mixxx (1.11.0~dfsg-1) unstable; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * Imported Upstream version 1.11.0~dfsg (Closes: #707743)
  * Update debian/copyright.
  * Bump Standards.

  [ Matteo F. Vescovi ]
  * debian/: dh 7 => 9 bump
  * debian/control: new b-deps added
    libfftw3-dev, libprotobuf-dev,
    libusb-1.0-0-dev and protobuf-compiler
  * debian/patches/: patchset updated
    - 0002-norpath.patch dropped
    - 0004-soundtouch.patch refreshed
    - 1001-ftbfs_gcc47.patch dropped
  * debian/control: vamp b-deps added
  * debian/: pdf manual references dropped (Closes: #695972)

 -- Matteo F. Vescovi <mfv.debian@gmail.com>  Mon, 30 Sep 2013 17:10:34 +0200
