=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
  autotools-dev,
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  docbook-to-man,
  imagemagick,
  libaudiofile-dev,
  libexpat-dev,
+ libfftw3-dev,
  libgl1-mesa-dev,
  libglu1-mesa-dev,
  libid3tag0-dev,
@@ -20,18 +21,23 @@
  libmad0-dev,
  libogg-dev,
  libportmidi-dev [linux-any],
+ libprotobuf-dev,
  libqt4-opengl-dev | libqt4-dev,
  libqtwebkit-dev,
  libshout-dev,
  libsndfile1-dev,
  libsoundtouch-dev (>= 1.5.0),
  libtag1-dev,
+ libusb-1.0-0-dev,
+ libvamp-hostsdk3,
  libvorbis-dev,
  pkg-config,
  portaudio19-dev,
+ protobuf-compiler,
  python-scour,
- scons
-Standards-Version: 3.9.3
+ scons,
+ vamp-plugin-sdk
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mixxx.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mixxx.git
 Homepage: http://www.mixxx.org/
