=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
-# Path to the debian directory
-DEBIAN_DIR := $(shell echo ${MAKEFILE_LIST} | awk '{print $$1}' | xargs dirname )
-UPSTREAM_VERSION ?=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
-PACKAGE = mixxx
+export REPACK_SH=$(CURDIR)/debian/repack.sh
 
 export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 # The build system ignores CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable
@@ -51,3 +48,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
+
+get-orig-source:
+	uscan --force-download
